Jump to content
  • Checkout
  • Login
  • Get in touch

osCommerce

The e-commerce.

Newbie: Installation help!


alsvider

Recommended Posts

Hi,

 

I am using XAMPP to install osCommerce 2.2 under my local Fedora Core 4, and get the following error.

-----------------------------------------------------------------------------------------

The configuration files do not exist, or permission levels are not set.

 

Please perform the following actions:

 

* cd /opt/lampp/htdocs/catalog/includes/

* touch configure.php

* chmod 706 configure.php

 

* cd /opt/lampp/htdocs/catalog/admin/includes/

* touch configure.php

* chmod 706 configure.php

------------------------------------------------------------------------------------------

I did the following to adjust my system, but it still doesn't work.

 

- cp catalog to my DocumentRoot, I didn't copy admin as it is already included under catalog

- create a database named oscommerce by phpmyadmin

- create a user with ALL PRIVILEGE by phpmyadmin

- set database server as localhost

- modify the file admin/includes/classes/upload.php to support PHP5;

- set chmod 777 for /opt/lampp/htdocs/catalog/includes/configure.php

- set chmod 777 for /opt/lampp/htdocs/catalog/admin/includes/configuration.php

- cp configuration.php to configure.php and config.php, set those file mode as 777

 

I have no idea right now, hope some body can help me.

 

thx.

Link to comment
Share on other sites

Archived

This topic is now archived and is closed to further replies.

×
×
  • Create New...